#
# Create groups and users with various options
#
required_features:
  - ubuntu_user
cloud_config: |
  #cloud-config
  # Add groups to the system
  groups:
    - secret: [root]
    - cloud-users

  # Add users to the system. Users are added after groups are added.
  users:
    - default
    - name: foobar
      gecos: Foo B. Bar
      primary_group: foobar
      groups: users
      expiredate: 2038-01-19
      lock_passwd: false
      passwd: $6$j212wezy$7H/1LT4f9/N3wpgNunhsIqtMj62OKiS3nyNwuizouQc3u7MbYCarYeAHWYPYb2FT.lbioDm2RrkJPb9BZMN1O/
    - name: barfoo
      gecos: Bar B. Foo
      sudo: ALL=(ALL) NOPASSWD:ALL
      groups: [cloud-users, secret]
      lock_passwd: true
    - name: cloudy
      gecos: Magic Cloud App Daemon User
      inactive: true
      system: true
collect_scripts:
  group_ubuntu: |
    #!/bin/bash
    getent group ubuntu
  group_cloud_users: |
    #!/bin/bash
    getent group cloud-users
  user_ubuntu: |
    #!/bin/bash
    getent passwd ubuntu
  user_foobar: |
    #!/bin/bash
    getent passwd foobar
  user_barfoo: |
    #!/bin/bash
    getent passwd barfoo
  user_cloudy: |
    #!/bin/bash
    getent passwd cloudy
  root_groups: |
    #!/bin/bash
    groups root

# vi: ts=4 expandtab
